Subject: Re: [netconf] RFC6241/RFC7952 model-level interop?

From: Martin Bjorklund <[email-masked]>
Date: Sat, 02 Mar 2019 14:57:07 +0100 (CET)

Kent Watsen <[email-masked]> wrote:
> Hi Robert,
> 
> There is currently no plan to do this, nor is there an rfc6241bis in sight,
> though one may be prompted by the YANG-next discussion happening
> in NETMOD.
> 
> Options (open to comments):
> 
> a) file an Errata

An RFC errata is not appropriate for enhancing an existing module with
new definitions.

> b) file a feature request (start a NETCONF-next issue tracker?) 

It is probably a good idea to have such a tracker.

> c) submit an I-D that *updates* just this aspect of RFC 6241
> d) submit an I-D for rfc6241bis  (we're probably not ready for this yet)
> e) any other choices?

/martin

> 
> Kent
> 
> 
> > On Feb 28, 2019, at 11:04 AM, Robert Varga <[email-masked]> wrote:
> > 
> > Hello,
> > 
> > as an implementer of both RFC6241 and RFC7952, I would find it very
> > useful if there were an ietf-netconf.yang which includes the annotation
> > definition of edit-config's operation attribute (Section 7.2).
> > 
> > Are there any plans for RFC6241bis or similar, bringing only an update
> > to ietf-netconf.yang?
> > 
> > Thanks,
> > Robert
> > 
> > _______________________________________________
> > netconf mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/netconf
> 
> _______________________________________________
> netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
>

---

From: Kent Watsen <[email-masked]>
Date: Sat, 2 Mar 2019 22:12:54 +0000

All.

I've created trackers for NETCONF-next and RESTCONF-next here:

  - https://github.com/netconf-wg/netconf-next
  - https://github.com/netconf-wg/restconf-next

Robert, please add your request to the netconf-next issue tracker.

Thanks,
Kent

> On Mar 2, 2019, at 8:57 AM, Martin Bjorklund <[email-masked]> wrote:
> 
> Kent Watsen <[email-masked] <mailto:[email-masked]>> wrote:
>> Hi Robert,
>> 
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/netconf <https://www.ietf.org/mailman/listinfo/netconf>